[android-components](../../../../index.md) / [mozilla.components.concept.engine.manifest](../../../index.md) / [WebAppManifestParser](../../index.md) / [Result](../index.md) / [Failure](./index.md)

# Failure

`data class Failure : `[`Result`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/manifest/WebAppManifestParser.kt#L37)

Parsing the JSON failed.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Failure(exception: <ERROR CLASS>)`<br>Parsing the JSON failed. |

### Properties

| Name | Summary |
|---|---|
| [exception](exception.md) | `val exception: <ERROR CLASS>`<br>The exception that was thrown while parsing the manifest. |
